<?php

namespace Fastrack\Core\Admin;

use Fastrack\Core\Model\Place;
use Fastrack\Core\Model\PlaceCategory;
use SilverStripe\Admin\ModelAdmin;

class PlaceAdmin extends ModelAdmin
{
	private static string $menu_title = 'Places';

	private static string $url_segment = 'places';

	private static string $menu_icon_class = 'font-icon-p-map';

	private static array $managed_models = [
		Place::class => ['title' => 'Places'],
		PlaceCategory::class => ['title' => 'Categories'],
	];

	public function subsiteCMSShowInMenu(): bool
	{
		return true;
	}

}
