<?php

namespace Fastrack\Core\Util;

use Psr\Container\NotFoundExceptionInterface;
use Psr\SimpleCache\CacheInterface;
use SilverStripe\Core\Injector\Injector;

class Cache
{
	const CACHE_NAME = 'appCache';

	/**
	 * @throws NotFoundExceptionInterface
	 */
	public static function getCache(): CacheInterface
	{
		return Injector::inst()->get(CacheInterface::class . '.' . self::CACHE_NAME);
	}

}
