<?php

namespace Fastrack\Core\Util\PaymentGateway;

class CreateSessionRequest
{

	private string $type;
	private string $amount;
	private string $currency;
	private string $merchantReference;
	private string $approved;
	private string $declined;
	private string $cancelled;
	private string $firstName;
	private string $lastName;
	private string $email;
	private string $phoneNumber;
	private string $surcharge;

	/**
	 * @return string
	 */
	public function getType(): string
	{
		return $this->type;
	}

	/**
	 * @param string $type
	 */
	public function setType(string $type): void
	{
		$this->type = $type;
	}

	/**
	 * @return string
	 */
	public function getAmount(): string
	{
		return $this->amount;
	}

	/**
	 * @param string $amount
	 */
	public function setAmount(string $amount): void
	{
		$this->amount = $amount;
	}

	/**
	 * @return string
	 */
	public function getCurrency(): string
	{
		return $this->currency;
	}

	/**
	 * @param string $currency
	 */
	public function setCurrency(string $currency): void
	{
		$this->currency = $currency;
	}

	/**
	 * @return string
	 */
	public function getMerchantReference(): string
	{
		return $this->merchantReference;
	}

	/**
	 * @param string $merchantReference
	 */
	public function setMerchantReference(string $merchantReference): void
	{
		$this->merchantReference = $merchantReference;
	}

	/**
	 * @return string
	 */
	public function getApproved(): string
	{
		return $this->approved;
	}

	/**
	 * @param string $approved
	 */
	public function setApproved(string $approved): void
	{
		$this->approved = $approved;
	}

	/**
	 * @return string
	 */
	public function getDeclined(): string
	{
		return $this->declined;
	}

	/**
	 * @param string $declined
	 */
	public function setDeclined(string $declined): void
	{
		$this->declined = $declined;
	}

	/**
	 * @return string
	 */
	public function getCancelled(): string
	{
		return $this->cancelled;
	}

	/**
	 * @param string $cancelled
	 */
	public function setCancelled(string $cancelled): void
	{
		$this->cancelled = $cancelled;
	}

	/**
	 * @return string
	 */
	public function getFirstName(): string
	{
		return $this->firstName;
	}

	/**
	 * @param string $firstName
	 */
	public function setFirstName(string $firstName): void
	{
		$this->firstName = $firstName;
	}

	/**
	 * @return string
	 */
	public function getLastName(): string
	{
		return $this->lastName;
	}

	/**
	 * @param string $lastName
	 */
	public function setLastName(string $lastName): void
	{
		$this->lastName = $lastName;
	}

	/**
	 * @return string
	 */
	public function getEmail(): string
	{
		return $this->email;
	}

	/**
	 * @param string $email
	 */
	public function setEmail(string $email): void
	{
		$this->email = $email;
	}

	/**
	 * @return string
	 */
	public function getPhoneNumber(): string
	{
		return $this->phoneNumber;
	}

	/**
	 * @param string $phoneNumber
	 */
	public function setPhoneNumber(string $phoneNumber): void
	{
		$this->phoneNumber = $phoneNumber;
	}

	/**
	 * @return string
	 */
	public function getSurcharge(): string
	{
		return $this->surcharge;
	}

	/**
	 * @param string $surcharge
	 */
	public function setSurcharge(string $surcharge): void
	{
		$this->surcharge = $surcharge;
	}

}
