<?php

namespace Fastrack\Core\Util\ServicesApi;

use DateTime;

class QuoteRequest
{
	private DateTime $arrive;
	private DateTime $depart;
	private int $propertyId;
	private int $roomId;
	private int $rateId;
	private string $promo;
	private int $adults;
	private int $children;
	private int $infants;
	private string $channel;

	/**
	 * @return DateTime
	 */
	public function getArrive(): DateTime
	{
		return $this->arrive;
	}

	/**
	 * @param DateTime $arrive
	 */
	public function setArrive(DateTime $arrive): void
	{
		$this->arrive = $arrive;
	}

	/**
	 * @return DateTime
	 */
	public function getDepart(): DateTime
	{
		return $this->depart;
	}

	/**
	 * @param DateTime $depart
	 */
	public function setDepart(DateTime $depart): void
	{
		$this->depart = $depart;
	}

	/**
	 * @return int
	 */
	public function getPropertyId(): int
	{
		return $this->propertyId;
	}

	/**
	 * @param int $propertyId
	 */
	public function setPropertyId(int $propertyId): void
	{
		$this->propertyId = $propertyId;
	}

	/**
	 * @return int
	 */
	public function getRoomId(): int
	{
		return $this->roomId;
	}

	/**
	 * @param int $roomId
	 */
	public function setRoomId(int $roomId): void
	{
		$this->roomId = $roomId;
	}

	/**
	 * @return int
	 */
	public function getRateId(): int
	{
		return $this->rateId;
	}

	/**
	 * @param int $rateId
	 */
	public function setRateId(int $rateId): void
	{
		$this->rateId = $rateId;
	}

	/**
	 * @return string
	 */
	public function getPromo(): string
	{
		return $this->promo ?: '';
	}

	/**
	 * @param string $promo
	 */
	public function setPromo(string $promo): void
	{
		$this->promo = $promo;
	}

	/**
	 * @return int
	 */
	public function getAdults(): int
	{
		return $this->adults;
	}

	/**
	 * @param int $adults
	 */
	public function setAdults(int $adults): void
	{
		$this->adults = $adults;
	}

	/**
	 * @return int
	 */
	public function getChildren(): int
	{
		return $this->children ?: 0;
	}

	/**
	 * @param int $children
	 */
	public function setChildren(int $children): void
	{
		$this->children = $children;
	}

	/**
	 * @return int
	 */
	public function getInfants(): int
	{
		return $this->infants ?: 0;
	}

	/**
	 * @param int $infants
	 */
	public function setInfants(int $infants): void
	{
		$this->infants = $infants;
	}

	/**
	 * @return string
	 */
	public function getChannel(): string
	{
		return $this->channel;
	}

	/**
	 * @param string $channel
	 */
	public function setChannel(string $channel): void
	{
		$this->channel = $channel;
	}

}
