#!/usr/bin/env bash

error() {
	echo ""
	help_message && exit 1;
}

error_msg() {
	echo -e -n >&2 "\033[31m[ERROR]\033[0m "
}

notice_msg() {
	echo -e -n "\033[33m[NOTICE]\033[0m "
}

info_msg() {
	echo -e -n "\033[32m[INFO]\033[0m "
}
