<?php

namespace Fastrack\Core\Admin;

use Fastrack\Core\Model\PaymentGateway;
use SilverStripe\Admin\ModelAdmin;

class PaymentGatewayAdmin extends ModelAdmin
{

	private static string $url_segment = 'payment-gateways';

	private static string $menu_title = 'Payment Gateways';

	private static string $menu_icon_class = 'font-icon-credit-card';

	private static array $managed_models = [
		PaymentGateway::class,
	];

	public function subsiteCMSShowInMenu(): bool
	{
		return true;
	}

}
