<?php

namespace Fastrack\Core\Util;

interface AssetCacheInterface
{

	public function getFile(string $path): CachedFile;

	public function setFile(string $path, CachedFile $file): void;

	public function deleteFile(string $path): void;

	public function copyFile(string $source, string $destination): void;

	public function moveFile(string $source, string $destination): void;

	public function getDirectory(string $path): CachedDirectory;

	public function setDirectory(string $path, CachedDirectory $directory): void;

	public function deleteDirectory(string $path): void;

}
