<?php

namespace Fastrack\Core\Util\ServicesApi;

class TransactionItem implements Request
{

	private int $amount = 0;
	private int $id = 0;

	public function buildRequest(): array
	{
		return [
			'id' => $this->id,
			'amount' => $this->amount,
		];
	}

	/**
	 * @param int $amount
	 */
	public function setAmount(int $amount): void
	{
		$this->amount = $amount;
	}

	/**
	 * @param int $id
	 */
	public function setId(int $id): void
	{
		$this->id = $id;
	}

}
